<div class="auth-page-wrapper pt-5">
  <!-- auth page bg -->
  <div class="auth-one-bg-position auth-one-bg" id="auth-particles">
    <div class="bg-overlay"></div>

    <div class="shape">
      <svg
        xmlns="http://www.w3.org/2000/svg"
        version="1.1"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        viewBox="0 0 1440 120"
      >
        <path
          d="M 0,36 C 144,53.6 432,123.2 720,124 C 1008,124.8 1296,56.8 1440,40L1440 140L0 140z"
        ></path>
      </svg>
    </div>
  </div>

  <!-- auth page content -->
  <div class="auth-page-content">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="text-center mt-sm-5 mb-4 text-white-50">
            <div>
              <a routerLink="" class="d-inline-block auth-logo">
                <img src="assets/images/logo-light.png" alt="" height="20" />
              </a>
            </div>
          </div>
        </div>
      </div>
      <!-- end row -->

      <div class="row justify-content-center">
        <div class="col-md-8 col-lg-6 col-xl-5">
          <div class="card mt-4">
            <div class="card-body p-4">
              <div class="text-center mt-2">
                <h5 class="text-primary">Create New Account</h5>
              </div>
              <div class="p-2 mt-4">
                <form [formGroup]="SignupForm" (ngSubmit)="onSubmit()">
                  <div class="mb-3">
                    <label for="useremail" class="form-label"
                      >Email <span class="text-danger">*</span></label
                    >
                    <input
                      type="email"
                      class="form-control"
                      id="useremail"
                      placeholder="Enter email address"
                      required
                      formControlName="email"
                      [ngClass]="{
                        'is-invalid': submitted && f['email'].errors
                      }"
                    />
                    <div class="invalid-feedback">Please enter email</div>
                  </div>
                  <div class="mb-3">
                    <label for="username" class="form-label"
                      >Username <span class="text-danger">*</span></label
                    >
                    <input
                      type="text"
                      class="form-control"
                      id="username"
                      placeholder="Enter username"
                      required
                      formControlName="name"
                      [ngClass]="{
                        'is-invalid': submitted && f['name'].errors
                      }"
                    />
                    <div class="invalid-feedback">Please enter username</div>
                  </div>

                  <div class="mb-3">
                    <label for="userpassword" class="form-label"
                      >Password <span class="text-danger">*</span></label
                    >
                    <div class="position-relative auth-pass-inputgroup">
                      <input
                        [type]="fieldTextType ? 'text' : 'password'"
                        class="form-control pe-5 password-input"
                        placeholder="Enter password"
                        id="password-input"
                        aria-describedby="passwordInput"
                        pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
                        required
                        formControlName="password"
                        [ngClass]="{
                          'is-invalid': submitted && f['password'].errors
                        }"
                      />
                      <button
                        class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                        type="button"
                        id="password-addon"
                      >
                        <i
                          class="ri-eye-fill align-middle"
                          [ngClass]="{
                            'mdi-eye-off-outline': !fieldTextType,
                            'mdi-eye-outline': fieldTextType
                          }"
                          (click)="toggleFieldTextType()"
                        ></i>
                      </button>
                      <div class="invalid-feedback">Please enter password</div>
                    </div>
                  </div>

                  <div class="mb-4">
                    <p class="mb-0 fs-12 text-muted fst-italic">
                      By registering you agree to the veszter
                      <a
                        href="javascript:void(0);"
                        class="text-primary text-decoration-underline fst-normal fw-medium"
                        >Terms of Use</a
                      >
                    </p>
                  </div>

                  <div id="password-contain" class="p-3 bg-light mb-2 rounded">
                    <h5 class="fs-13">Password must contain:</h5>
                    <p id="pass-length" class="invalid fs-12 mb-2">
                      Minimum <b>8 characters</b>
                    </p>
                    <p id="pass-lower" class="invalid fs-12 mb-2">
                      At <b>lowercase</b> letter (a-z)
                    </p>
                    <p id="pass-upper" class="invalid fs-12 mb-2">
                      At least <b>uppercase</b> letter (A-Z)
                    </p>
                    <p id="pass-number" class="invalid fs-12 mb-0">
                      A least <b>number</b> (0-9)
                    </p>
                  </div>

                  <div class="mt-4">
                    <button class="btn btn-success w-100" type="submit">
                      Sign Up
                    </button>
                  </div>

                  <div class="mt-4 text-center">
                    <div class="signin-other-title">
                      <h5 class="fs-13 mb-4 title text-muted">
                        Create account with
                      </h5>
                    </div>

                    <div class="d-flex gap-2 justify-content-center">
                      <button
                        type="button"
                        class="btn btn-primary btn-icon waves-effect waves-light"
                      >
                        <i class="ri-facebook-fill fs-16"></i>
                      </button>
                      <button
                        type="button"
                        class="btn btn-danger btn-icon waves-effect waves-light"
                      >
                        <i class="ri-google-fill fs-16"></i>
                      </button>
                      <button
                        type="button"
                        class="btn btn-dark btn-icon waves-effect waves-light"
                      >
                        <i class="ri-github-fill fs-16"></i>
                      </button>
                      <button
                        type="button"
                        class="btn btn-info btn-icon waves-effect waves-light"
                      >
                        <i class="ri-twitter-fill fs-16"></i>
                      </button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
            <!-- end card body -->
          </div>
          <!-- end card -->

          <div class="mt-4 text-center">
            <p class="mb-0">
              Already have an account ?
              <a
                routerLink="/auth/signin/basic"
                class="fw-semibold text-primary text-decoration-underline"
              >
                Signin
              </a>
            </p>
          </div>
        </div>
      </div>
      <!-- end row -->
    </div>
    <!-- end container -->
  </div>
  <!-- end auth page content -->

  <!-- footer -->
  <footer class="footer">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="text-center">
            <p class="mb-0 text-muted">
              &copy;
              <script>
                document.write(new Date().getFullYear());
              </script>
              veszter
            </p>
          </div>
        </div>
      </div>
    </div>
  </footer>
  <!-- end Footer -->
</div>
<!-- end auth-page-wrapper -->
